Consultar motorista

Retorna os dados de um motorista específico a partir do `document_number` único dele.

No guia

Gestão de motoristas: Motoristas (Frota Própria).

Header obrigatório. Toda chamada exige o header x-abbiamo-seller-group-key. Preencha-o no canto superior direito desta página ou veja como obter a sua chave.

GET
/v1/drivers/{document_number}

Authorization

sellerGroupKey
x-abbiamo-seller-group-key<token>

In: header

Path Parameters

document_number*string

Identificador único do motorista

Default"12345678909"

Header Parameters

x-abbiamo-seller-group-key*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/drivers/12345678909" \  -H "x-abbiamo-seller-group-key: string"
{
  "id": "3d7672a6-0790-4151-9568-5d950ceea3f5",
  "name": "Motorista de exemplo",
  "document_number": "12345678909",
  "phone": "31999999999",
  "active": true,
  "created_at": "2024-06-26T13:24:56.034Z",
  "updated_at": "2026-03-19T18:15:28.649Z",
  "seller_identifiers": [
    "12345678000190",
    "12345678000190"
  ]
}
{
  "message": "Driver 12345678900 is not associated with the provided seller group 550e8400-e29b-41d4-a716-446655440000",
  "code": "DRIVER_NOT_FOUND",
  "status": 400,
  "level": "WARNING",
  "params": {
    "seller_group_id": "550e8400-e29b-41d4-a716-446655440000"
  }
}
{
  "message": "Driver 12345678900 not found",
  "code": "DRIVER_NOT_FOUND",
  "status": 404,
  "params": {
    "document_number": "12345678900"
  }
}